{% load i18n %}
{% load server_tags %}
{% load cache %}

{% cache 240 "recent-posts" %}
    <div class="sidebar-item">
        <div class="head">{% trans "Recent Replies" %}</div>
        <div class="recent-posts">
            <ul>
                {% for post in posts %}
                    <li>
                        <a href="{{ post.get_absolute_url }}">{{ post.title }}</a> {% trans "by" %} <a
                            href="{{ post.author.get_absolute_url }}">{% userlink post.author %}</a>

                        <div class="peek">{{ post.peek|truncatechars:100 }}</div>

                    </li>
                {% endfor %}
            </ul>
        </div>
    </div>
{% endcache %}